Bug 195558 - Patch for buffer overflow in textproc/antiword
Summary: Patch for buffer overflow in textproc/antiword
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-01 15:59 UTC by Fabian Keil
Modified: 2014-12-28 15:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (leeym)


Attachments
textproc/antiword: Add patch to prevent buffer overflow (2.89 KB, patch)
2014-12-01 15:59 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-12-01 15:59:55 UTC
Created attachment 150077 [details]
textproc/antiword: Add patch to prevent buffer overflow

The attached patch for textproc/antiword prevents
a buffer overflow and adds a DEBUG option.

The buffer overflow has been reported upstream and
the patch was accepted, but apparently there will not
be an official antiword release any time soon.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-01 15:59:55 UTC
Auto-assigned to maintainer leeym@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-12-11 17:00:15 UTC
A commit references this bug:

Author: leeym
Date: Thu Dec 11 16:59:30 UTC 2014
New revision: 374539
URL: https://svnweb.freebsd.org/changeset/ports/374539

Log:
  - add patch to prevent buffer overflow
  - bump PORTREVISION

  PR:		195558
  Submitted by:	fk@fabiankeil.de

Changes:
  head/textproc/antiword/Makefile
  head/textproc/antiword/files/
  head/textproc/antiword/files/patch-wordole.c
  head/textproc/antiword/pkg-plist